GDB (xrefs)

Public Attributes | List of all members
core_fns Struct Reference

`#include "gdbcore.h"`

## Public Attributes
enum bfd_flavour | core_flavour
int(* | check_format )(bfd *)
int(* | core_sniffer )(struct core_fns *, bfd *)
void(* | core_read_registers )(struct regcache *regcache, char *core_reg_sect, unsigned core_reg_size, int which, CORE_ADDR reg_addr)
struct core_fns * | next

## Detailed Description

Definition at line 169 of file gdbcore.h.

## Member Data Documentation

## ◆ check_format

int(* core_fns::check_format) (bfd *)

Definition at line 186 of file gdbcore.h.

Referenced by gdb_check_format().

## ◆ core_flavour

enum bfd_flavour core_fns::core_flavour

Definition at line 177 of file gdbcore.h.

## ◆ core_read_registers

void(* core_fns::core_read_registers) (struct regcache *regcache, char *core_reg_sect, unsigned core_reg_size, int which, CORE_ADDR reg_addr)

Definition at line 215 of file gdbcore.h.

Referenced by get_core_register_section(), and get_core_registers().

## ◆ core_sniffer

int(* core_fns::core_sniffer) (struct core_fns *, bfd *)

Definition at line 192 of file gdbcore.h.

Referenced by sniff_core_bfd().

## ◆ next

struct core_fns* core_fns::next

Definition at line 225 of file gdbcore.h.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), deprecated_add_core_fns(), gdb_check_format(), and sniff_core_bfd().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbcore.h